#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "heapsort.h"

void rand_init(int* tab,int size,int inf,int delta);
void print(int* tab,int size,char* str);

int main(int argc, char** argv) {
   srand(time(0));
   int size = 10, inf = 0, delta = 20;
   switch(argc) {
      case 4: delta = atoi(argv[3]);
      case 3: inf = atoi(argv[2]);
      case 2: size = atoi(argv[1]);
   }
   int* tab = malloc(size*sizeof(int));
   rand_init(tab,size,inf,delta);
   print(tab,size,"\n=========\n");
   heapsort(tab,size);
   print(tab,size,"\n=========\n");
   return 0;
}

void print(int* tab,int size,char* str) {
   for (int i=0;i<size;i++) {
      printf("%d ",tab[i]);
   }
   printf("%s",str);
}

void rand_init(int* tab,int size,int inf,int delta) {
   for (int i=0;i<size;i++) {
      tab[i] = inf+rand()%delta;
   }
}


